Description

artdaq has long defaulted its input file name to "nothing" in its input sources. On ICARUS, it was noticed that several of their services
try to open the input file for various reasons, and the Online Monitoring art process was dying immediately on start as those services

tried to open file "nothing". Changing "nothing" to

resolves this issue in the Online Monitor.

History

#1 - 09/23/2020 12:28 PM - Eric Flumerfelt

- Status changed from New to Resolved

Resolved on bugfix/25007_ArtdaginputHelper_RemoveNothing
Tested in ICARUS Online Monitoring, not yet run in a DAQ.

#2 - 09/23/2020 12:33 PM - Eric Flumerfelt
- Experiment ICARUS added
- Experiment deleted (-)

#3 - 10/15/2020 12:33 AM - Gennadiy Lukhanin

- Status changed from Resolved to Reviewed

Tested on the ICARUS cluster, reviewed the one-liner code change, and ran artdag demo on evb05 in the /scratch/artdagdemo directory.

$MSG-i TransferWrapper: DAQ 15-0ct-2020 00:30:09 CDT Booted TransferWrapper.cc:141

Received 19-th event, segID == 605, type == 226
$MSG
10-15 00:30:09.190354
of type TOY1l or TOY2
10-15 00:30:09.190367

04 has total ADC counts = 40, trig # = 99, dist_type

10-15 00:30:09.191245
10-15 00:30:09.191285

7 8 9 10
10-15 00:30:09.191322

04 has total ADC counts = 40, trig # = 99, dist_type

10-15 00:30:09.191655
10-15 00:30:09.191677

(Data)

ToyDump nfo Run 6, subrun 1, event 605 has 2 fragment (s)

ToyDump nfo TOY1l fragment 0 w/ seqID 605 and timestamp 6
=2

ToyDump nfo First 10 ADC values in the fragment:

ToyDump nfo ...0: 1 2 3 4 5 6

ToyDump nfo TOY2 fragment 1 w/ seqID 605 and timestamp 6
=2

ToyDump nfo First 10 ADC values in the fragment:

ToyDump nfo ...0: 1 2 3 4 5 6

$MSG-i TransferWrapper: DAQ 15-0ct-2020 00:30:09 CDT Booted TransferWrapper.cc:141

7 8 9 10
Received 20-th event, segID == 610, type == 226
$MSG

10-15 00:30:09.724829
of type TOY1l or TOY2
10-15 00:30:09.724844

09 has total ADC counts = 40, trig # = 99, dist_type

10-15 00:30:09.725621
10-15 00:30:09.725631

7 8 9 10
10-15 00:30:09.725634

09 has total ADC counts = 40, trig # = 99, dist_type

10-15 00:30:09.726091
10-15 00:30:09.726111
7 8 9 10

04/08/2021

(Data)

ToyDump nfo Run 6, subrun 1, event 610 has 2 fragment (s)

ToyDump nfo TOY1l fragment 0 w/ seqID 610 and timestamp 6
=2

ToyDump nfo First 10 ADC values in the fragment:

ToyDump nfo ...0: 1 2 3 4 5 6

ToyDump nfo TOY2 fragment 1 w/ seqID 610 and timestamp 6
=2

ToyDump nfo First 10 ADC values in the fragment:

ToyDump nfo ...0: 1 2 3 4 5 6
#4 - 10/23/2020 12:29 PM - Eric Flumerfelt
- Target version set to artdaq v3_09_02

- Status changed from Reviewed to Closed
